# ZonePeerManager.NodeFunc (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.peer.server
Class ZonePeerManager.NodeFunc<T>

    java.lang.Object
      com.threerings.whirled.zone.peer.server.ZonePeerManager.NodeFunc<T>

All Implemented Interfaces:
  Function<com.threerings.presents.peer.data.NodeObject,T>

Enclosing class:
  ZonePeerManager

    public abstract static class ZonePeerManager.NodeFunc<T>

extends Object
implements Function<com.threerings.presents.peer.data.NodeObject,T>

Useful with `PeerManager.lookupNodeDatum(com.google.common.base.Function<com.threerings.presents.peer.data.NodeObject, T>)`.

Constructor Summary
`ZonePeerManager.NodeFunc()`

Method Summary
`T` `apply(com.threerings.presents.peer.data.NodeObject nodeobj)`
`abstract T` `apply(ZoneNodeObject mnobj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.common.base.Function
`equals`

Constructor Detail

### ZonePeerManager.NodeFunc

    public ZonePeerManager.NodeFunc()

Method Detail

### apply

    public abstract T apply(ZoneNodeObject mnobj)

### apply

    public T apply(com.threerings.presents.peer.data.NodeObject nodeobj)

  Specified by:
    `apply` in interface `Function<com.threerings.presents.peer.data.NodeObject,T>`

Copyright © 2011. All Rights Reserved.